#
# Conditional build:
%bcond_without	apidocs	# API documentation
%bcond_without	glade	# Glade module+catalog
%bcond_without	vala	# Vala API

Summary:	Library with GTK+ widgets for mobile phones
Summary(pl.UTF-8):	Biblioteka z kontrolkami GTK+ dla telefonów komórkowych
Name:		libhandy1
Version:	1.8.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libhandy/1.8/libhandy-%{version}.tar.xz
# Source0-md5:	24c0addde7fac024bcf23cecf6c50c3a
URL:		https://gitlab.gnome.org/GNOME/libhandy/
# -std=gnu11
BuildRequires:	gcc >= 6:4.7
BuildRequires:	fribidi-devel
BuildRequires:	gi-docgen >= 2021.1
%{?with_glade:BuildRequires:	glade-devel >= 3.38}
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk+3-devel >= 3.24.1
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.27.0}
BuildRequires:	xz
Requires:	glib2 >= 1:2.44
Requires:	gtk+3 >= 3.24.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libhandy provides GTK+ widgets and GObjects to ease developing
applications for mobile phones.

%description -l pl.UTF-8
libhandy dostarcza kontrolki GTK+ i GObjects, upraszczając tworzenie
aplikacji dla telefonów komórkowych.

%package devel
Summary:	Header files for libhandy library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libhandy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44
Requires:	gtk+3-devel >= 3.24.1

%description devel
Header files for libhandy library

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libhandy

%package glade
Summary:	libhandy module for Glade
Summary(pl.UTF-8):	Moduł libhandy dla Glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	glade >= 3.38

%description glade
libhandy module for Glade.

%description glade -l pl.UTF-8
Moduł libhandy dla Glade.

%package apidocs
Summary:	API documentation for libhandy library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libhandy
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libhandy library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libhandy

%package -n vala-libhandy1
Summary:	Vala API for libhandy libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek libhandy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0
BuildArch:	noarch

%description -n vala-libhandy1
Vala API for libhandy library.

%description -n vala-libhandy1 -l pl.UTF-8
API języka VALA do biblioteki libhandy.

%prep
%setup -q -n libhandy-%{version}

%build
%meson build \
	-Dexamples=false \
	%{!?with_glade:-Dglade_catalog=disabled} \
	%{?with_apidocs:-Dgtk_doc=true} \
	%{!?with_vala:-Dvapi=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
# FIXME: where to package gi-docgen generated docs?
install -d $RPM_BUILD_ROOT%{_gtkdocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libhandy-1 $RPM_BUILD_ROOT%{_gtkdocdir}
%endif

%find_lang libhandy

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libhandy.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/libhandy-1.so.0
%{_libdir}/girepository-1.0/Handy-1.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhandy-1.so
%{_includedir}/libhandy-1
%{_pkgconfigdir}/libhandy-1.pc
%{_datadir}/gir-1.0/Handy-1.gir

%if %{with glade}
%files glade
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/glade/modules/libglade-handy-1.so
%{_datadir}/glade/catalogs/libhandy-1.xml
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libhandy-1
%endif

%if %{with vala}
%files -n vala-libhandy1
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libhandy-1.deps
%{_datadir}/vala/vapi/libhandy-1.vapi
%endif
%changelog
* Tue Mar 21 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libhandy1.git;a=log;h=master

* Tue Mar 21 2023 Jakub Bogusz <qboosh@pld-linux.org> ede4de0
- updated to 1.8.2

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> f3ac355
- updated to 1.8.0

* Mon Jul 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 9169c06
- updated to 1.6.3

* Sun Apr 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 0c49767
- updated to 1.6.2

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> ee215c4
- updated to 1.6.1, uses gi-docgen now

* Mon Nov 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 89963e7
- updated to 1.5.0

* Mon Sep 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 836f301
- updated to 1.4.0

* Mon Jun 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 194af3c
- updated to 1.2.3

* Tue Apr 27 2021 Jakub Bogusz <qboosh@pld-linux.org> a6ca483
- updated to 1.2.2

* Tue Apr 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 9c1880f
- updated to 1.2.1
- removed obsolete pc patch

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 6bb4510
- added pc patch (avoid trailing "/" in .pc Libs field, which caused `pkg-config --libs` output to contain -L/usr/%{_lib}/
- release 2

* Fri Mar 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0fc84dc
- updated to 1.2.0

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> a59a63b
- unconditional noarch subpackages

* Fri Dec 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 913f8ae
- updated to 1.0.3

* Thu Nov 12 2020 Jakub Bogusz <qboosh@pld-linux.org> f99b195
- updated to 1.0.2

* Fri Oct 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 5cdd347
- updated to 1.0.1
- removed obsolete glade patch

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 96069af
- added glade patch (adapt to glade 3.38 API changes); release 3

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> bfc8669
- release 2 (libgladeui soname change)

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 074595e
- libhandy.spec updated to 1.0.0 (parallel installable with libhandy 0.x)
- removed obsolete glade3.36 patch

* Sun May 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 7ea2aae
- added glade3.36 patch (adapt for glade 3.36+ headers); release 2

